namespace Linaris;

public partial class App : Application
{
	public App()
	{
		InitializeComponent();

		MainPage = new AppShell();
	}

    protected override Window CreateWindow(IActivationState activationState)
    {
		var Window = base.CreateWindow(activationState);

		const int newHeight = 900;
		const int newWidth = 1800;
		const int minHeight = 800;
		const int minWidth = 400;

		Window.X = 0;
		Window.Y = 100;

		Window.Width = newWidth;
		Window.Height = newHeight;

		Window.MinimumHeight = minHeight;
		Window.MinimumWidth = minWidth;

		return Window;
    }
}
